Part Helix: Difference between revisions

From FreeCAD Documentation
mNo edit summary
Line 44: Line 44:
== Example ==
== Example ==


[[File:Part Helix Scripting Example.png|thumb|Part Box scripting example]]
[[File:Part Helix Scripting Example.png|thumb|Part Helix scripting example]]


A Part Helix object with the values of the bottom scripting example are shown here.
A Part Helix object with the values of the bottom scripting example are shown here.

Revision as of 18:29, 22 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Helix

Menu location
Part → Create primitives → Helix
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Helix command creates a parametric helix shape.

FreeCAD creates a helix, with default values for pitch, height and radius. The shape angle can be set too.

By default, the rotation axis of the helix is is equal to the z-axis. The start point of the curve is on the x-axis. Its rotation is counterclockwise.

Screenshot of Part Helix

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Helix option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Example

Part Helix scripting example

A Part Helix object with the values of the bottom scripting example are shown here.

Notes

A common usage for the helix primitive is for creating screw threads in conjunction with a closed profile, and the Sweep operation. This process works essentially the same in the PartDesign Workbench by using the PartDesign Additive pipe tool.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Coordinate System

Helix

  • DataPitch (Length): The pitch corresponds to the space between two consecutive "turns" of the helix measured along the main axis of the helix.
  • DataHeight (Length): The height corresponds to the overall height of the helix measured along the main axis of the helix.
  • DataRadius (Length): The radius corresponds to the radius of the circle built by the helix by viewing the helix from the top or bottom.
  • DataSegment Length (Length):
  • DataAngle (Angle): Per default the helix is built on a imaginary cylinder. With this option it is possible to build the helix on a imaginary cone. This angle corresponds to the angle of the cone. The value must be comprised between 0 and +90 deg.

Scripting

A Part Helix is created with the addObject() method of the document.

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where myHelix is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

helix.Label = "new myHelixName"

You can access and modify attributes of the helix object. For example, you may wish to modify the pitch, height and radius parameters.

helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45

You can change its placement and orientation with:

helix.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))